XMLEndpointConfig (Jackson JAX-RS 2.8.0 API)
Date: 2016-07-05

com.fasterxml.jackson.jaxrs.xml

## Class XMLEndpointConfig

- java.lang.Object
- - com.fasterxml.jackson.jaxrs.cfg.EndpointConfigBase<XMLEndpointConfig>
  - - com.fasterxml.jackson.jaxrs.xml.XMLEndpointConfig

-     public class XMLEndpointConfig
      extends EndpointConfigBase<XMLEndpointConfig>

  Container class for figuring out annotation-based configuration for JAX-RS end points.

- - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.jaxrs.cfg.EndpointConfigBase

      `_activeView, _config, _deserDisable, _deserEnable, _reader, _rootName, _serDisable, _serEnable, _writer`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XMLEndpointConfig(com.fasterxml.jackson.databind.cfg.MapperConfig<?> config)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XMLEndpointConfig` | `forReading(com.fasterxml.jackson.databind.ObjectReader reader, Annotation[] annotations)`
    `static XMLEndpointConfig` | `forWriting(com.fasterxml.jackson.databind.ObjectWriter writer, Annotation[] annotations)`
    `Object` | `modifyBeforeWrite(Object value)`

    - ### Methods inherited from class com.fasterxml.jackson.jaxrs.cfg.EndpointConfigBase

      `add, addAnnotation, getActiveView, getReader, getRootName, getWriter, initReader, initWriter, nullIfEmpty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLEndpointConfig

          protected XMLEndpointConfig(com.fasterxml.jackson.databind.cfg.MapperConfig<?> config)

  - ### Method Detail

    - #### forReading

          public static XMLEndpointConfig forReading(com.fasterxml.jackson.databind.ObjectReader reader,
                                     Annotation[] annotations)

    - #### forWriting

          public static XMLEndpointConfig forWriting(com.fasterxml.jackson.databind.ObjectWriter writer,
                                     Annotation[] annotations)

    - #### modifyBeforeWrite

          public Object modifyBeforeWrite(Object value)

      Specified by:
        `modifyBeforeWrite` in class `EndpointConfigBase<XMLEndpointConfig>`

Copyright © 2016 FasterXML. All rights reserved.